Home | Tutorials | Wiki | Issues
Ask Your Question
1

Error 141: libgazebo_ros_control can not be found in Gazebo 2.0.0

asked 2013-10-16 08:51:36 -0500

RafBerkvens gravatar image

When running my simulation using Gazebo 2.0.0, I get the following non-critical error:

Error [Plugin.hh:141] Failed to load plugin libgazebo_ros_control.so: 
libgazebo_ros_control.so: cannot open shared object file: No such file or directory

I don't use the ROS control part of the simulation for now, so it doesn't matter too much. However, I thought I should mention it here. I think that the current ros-hydro-gazebo-ros-control package might still be linked against Gazebo 1.9.

edit retag flag offensive close merge delete

Comments

We are finishing the work on solving the problem with gazebo-2.0.0 and ROS. Hopefully there will be some news in few hours about how to properly install and run them together. I will update the answer as soon as the official instructions are released.

Jose Luis Rivero gravatar imageJose Luis Rivero ( 2013-10-16 09:45:54 -0500 )edit

4 Answers

Sort by ยป oldest newest most voted
1

answered 2013-10-16 16:59:55 -0500

Jose Luis Rivero gravatar image

updated 2013-10-22 07:39:07 -0500

The error was not in your part, it was due to an unstable state of the ROS and OSRF repository. Should be fixed now.

Full instructions to install gazebo-1.9 or gazebo-2.0 (gazebo-current) were sent to the gazebo mailing list including how the integration with ROS is working.

Update 22 Oct: there is a new document about Gazebo/ROS integration which should help to fix all aspects related to gazebo and ROS.

edit flag offensive delete link more

Comments

According to those instructions, Gazebo 1.9.2 would be installed when installing ROS. I purged all gazebo, gazebo-current, ros-hydro-desktop-full, ros-hydro-gazebo-* packages from my system and did a fresh ros-hydro-desktop-full install. It automatically selects gazebo-current. The ros-hydro-gazebo-ros-control packages can still not be installed, because they look for gazebo.

RafBerkvens gravatar imageRafBerkvens ( 2013-10-17 01:18:17 -0500 )edit
1

I see, you probably are running raring so it is pulling the OSRF dependencies for ros-hydro-gazebo-* (which have a greater version) which brings gazebo-current to you. I see several solutions here. Probably the easiest one is to remove OSRF repo from your apt sources unless you have a different reason to keep it. I will write some instructions to solve this problem.

Jose Luis Rivero gravatar imageJose Luis Rivero ( 2013-10-17 06:42:29 -0500 )edit

Indeed, I am running raring. I should have mentioned that, my apologies. I will try your suggestion.

RafBerkvens gravatar imageRafBerkvens ( 2013-10-17 07:58:34 -0500 )edit
0

answered 2013-10-21 16:15:28 -0500

Gus gravatar image

Here is how I finally solved this problem. Just a reminder, I am using ROS groovy and I tried installing gazebo_ros_pkgs to run GAZEBO 2.0, and use gazebo_ros_control plugin to control a custom robot.

The solution for me was to compile the gazebo_ros_pkgs from source as given in the tutorial here: http://gazebosim.org/wiki/Tutorials/1.9/Installing_gazebo_ros_Packages. But I then ran into a CMake Error while compiling from source, and the solution for that is given here: http://answers.gazebosim.org/question/4026/installing-gazebo-19-and-gazebo_ros_pkgs-from/.

Now I have the control plugin working nominally in GAZEBO 2.0 with ROS groovy with no errors.

edit flag offensive delete link more
0

answered 2013-10-16 16:56:00 -0500

nkoenig gravatar image

This should now be resolved. Use the gazebo-current package to get gazebo version 2.0.0, use the gazebo package to the gazebo version 1.9.2.

The correct ros-*-gazebo-ros-pkgs should get automatically installed.

edit flag offensive delete link more

Comments

Could it be that ros-hydro-gazebo-ros-control is not a package that is maintained under Gazebo 2.0.0? It still looks for gazebo when installing through the repositories.

RafBerkvens gravatar imageRafBerkvens ( 2013-10-17 01:48:27 -0500 )edit
0

answered 2013-10-17 16:30:02 -0500

Gus gravatar image

Hello,

I am running groovy and I have the GAZEBO 2.0 running under the gazebo_ros package. I am trying to create a custom model for my robot (this is my first time modelling a robot in GAZEBO) and also apply the ROS Control to it. I am following the tutorial on This page. When I added the gazebo_ros_control plugin to my URDF I get the same error:

Error [Plugin.hh:141] Failed to load plugin libgazebo_ros_control.so: libgazebo_ros_control.so: cannot open shared object file: No such file or directory

After a few google searches I got to this question, but I am not sure what the solution for my case is, I would really appreciate some guidance on this issue.

edit flag offensive delete link more

Comments

You have to remove the OSRF repo from your apt sources. Go to System Settings > Software & Updates > Other Software. Look for http://packages.osrfoundation.org/gazebo/ubuntu and untick or remove that line. Then run sudo apt-get update, sudo apt-get remove gazebo-current ros-hydro-desktop-full, sudo apt-get autoremove, sudo apt-get install ros-hydro-desktop-full. Now, you should have Gazebo 1.9.2 and able to install ros-hydro-gazebo-ros-control.

RafBerkvens gravatar imageRafBerkvens ( 2013-10-18 04:53:52 -0500 )edit

Thanks for the quick response RafBerkvens. I have tried removing the OSRF repo, and going through the steps you provided. However when I try to rosinstall ros-hydro-desktop-full, I get an error: The following packages have unmet dependencies: ros-hydro-desktop-full : Depends: ros-hydro-desktop but it is not going to be installed E: Unable to correct problems, you have held broken packages. I think there is a problem with ros-hydro installation any ideas?

Gus gravatar imageGus ( 2013-10-18 14:12:17 -0500 )edit

update: I have also worked on groovy. I removed the OSRF repo, removed ros-groovy-desktop-full then reinstalled it. Then I installed gazebo ros packages following this tutorial <http://gazebosim.org/wiki/Tutorials/1.9/Installing_gazebo_ros_Packages#Testing_Gazebo_with_ROS_Integration>. I now have the package gazebo_ros running GAZEBO 2.0, but I still get the same control plugin error.

Gus gravatar imageGus ( 2013-10-18 15:12:13 -0500 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2013-10-16 08:51:36 -0500

Seen: 1,297 times

Last updated: Oct 22 '13